LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
DocumentRevisionListPersistence Service Reference

interface to maintain a list of document revisions More...

`import"DocumentRevisionListPersistence.idl";`

Inheritance diagram for DocumentRevisionListPersistence:

## Additional Inherited Members
Public Member Functions inherited from XDocumentRevisionListPersistence
sequence< ::com::sun::star::util::RevisionTag > | load ([in] ::com::sun::star::embed::XStorage Storage) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| Loads a list of available revisions from a storage. More...
void | store ([in] ::com::sun::star::embed::XStorage Storage, [in] sequence< ::com::sun::star::util::RevisionTag > List) raises ( com::sun::star::io::IOException, com::sun::star::uno::Exception )
| Stores a list of available revisions to a storage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface to maintain a list of document revisions

The documentation for this service was generated from the following file:

- com/sun/star/document/DocumentRevisionListPersistence.idl